diff -r -u src/gnuwin32/fixed/Makefile src/gnuwin32/fixed/Makefile
--- src/gnuwin32/fixed/Makefile	2021-11-18 14:45:36.936161900 +0100
+++ src/gnuwin32/fixed/Makefile	2021-11-18 14:45:45.392764100 +0100
@@ -37,7 +37,6 @@
 	  -e "s|RC_ARCH =|RC_ARCH = $(RC_ARCH)|" \
 	  -e "s|M_ARCH =|M_ARCH = $(M_ARCH)|" \
 	  -e "s|@SYMPAT@|$(SYMPAT)|" \
-	  -e "s|(TCL_HOME)/bin|(TCL_HOME)/bin64|" \
 	  -e "s|@OPENMP@|$(OPENMP)|" \
 	  -e "s|@PTHREAD@|$(PTHREAD)|" \
 	  -e "s@NM_FILTER =@NM_FILTER = $(NM_FILTER)@" \
diff -r -u src/library/tcltk/R/windows/zzz.R src/library/tcltk/R/windows/zzz.R
--- src/library/tcltk/R/windows/zzz.R	2021-11-18 14:45:38.011360100 +0100
+++ src/library/tcltk/R/windows/zzz.R	2021-11-18 14:45:45.392764100 +0100
@@ -21,15 +21,12 @@
 .onLoad <- function(libname, pkgname)
 {
     if(!nzchar(tclbin <- Sys.getenv("MY_TCLTK"))) {
-        tclbin <- file.path(R.home(), "Tcl",
-                            if(.Machine$sizeof.pointer == 8) "bin64" else "bin")
+        tclbin <- file.path(R.home(), "Tcl", "bin")
         if(!file.exists(tclbin))
             stop("Tcl/Tk support files were not installed", call.=FALSE)
-        if(.Machine$sizeof.pointer == 8) {
-            lib64 <- gsub("\\", "/", file.path(R.home(), "Tcl", "lib64"),
-                          fixed=TRUE)
-            Sys.setenv(TCLLIBPATH = lib64)
-        } else Sys.unsetenv("TCLLIBPATH") # in case called from a 64-bit process
+        lib <- gsub("\\", "/", file.path(R.home(), "Tcl", "lib"),
+                      fixed=TRUE)
+        Sys.setenv(TCLLIBPATH = lib)
     }
     library.dynam("tcltk", pkgname, libname, DLLpath = tclbin)
     routines <- getDLLRegisteredRoutines("tcltk", addNames = FALSE)
diff -r -u src/library/tcltk/src/Makefile.win src/library/tcltk/src/Makefile.win
--- src/library/tcltk/src/Makefile.win	2021-11-18 14:45:38.073899100 +0100
+++ src/library/tcltk/src/Makefile.win	2021-11-18 14:45:45.408404200 +0100
@@ -22,11 +22,7 @@
 ## The TCL_* variables are set in etc/Makeconf.
 ## Because the 64-bit build is customized, no other Tcl/Tk build is suitable
 PKG_CPPFLAGS = -I "$(TCL_HOME)"/include -DWin32 -I$(R_HOME)/src/include -DHAVE_CONFIG_H
-ifeq "$(WIN)" "64"
-PKG_LIBS = -L"$(TCL_HOME)"/bin64 -ltcl$(TCL_VERSION) -ltk$(TCL_VERSION)
-else
 PKG_LIBS = -L"$(TCL_HOME)"/bin -ltcl$(TCL_VERSION) -ltk$(TCL_VERSION)
-endif
 
 all: makeMakedeps shlib
 
diff -r -u src/library/tools/R/install.R src/library/tools/R/install.R
--- src/library/tools/R/install.R	2021-11-18 14:45:38.546276000 +0100
+++ src/library/tools/R/install.R	2021-11-18 14:45:45.408404200 +0100
@@ -2584,7 +2584,7 @@
 
     if (WINDOWS && debug) makeargs <- c(makeargs, "DEBUG=T")
     ## TCLBIN is needed for tkrplot and tcltk2
-    if (WINDOWS && rarch == "/x64") makeargs <- c(makeargs, "WIN=64 TCLBIN=64")
+    if (WINDOWS && rarch == "/x64") makeargs <- c(makeargs, "WIN=64 TCLBIN=")
 
     build_objects_symbol_tables <-
         config_val_to_logical(Sys.getenv("_R_SHLIB_BUILD_OBJECTS_SYMBOL_TABLES_",
